﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderDetail.ascx.cs" Inherits="ECommerce.Administration.Controls.OrderDetail" %>
<div class="section-header">
	<div class="title">
		<img src="images/ico-catalog.png" />
		<asp:Label ID="LabelOrderDetailTitle" runat="server"></asp:Label>
		<a href="OrderManage.aspx">
			(<%=GetLocalResourceString("Admin.EditOrder.BackToOrderList")%>)</a>
	</div>
	<div class="options">
		<asp:Button ID="ButtonDelete" runat="server" CssClass="adminButtonBlue" OnClick="ButtonDelete_Click" />
	</div>
</div>
<ajaxToolkit:ToolkitScriptManager ID="ToolkitScriptManagerControl" runat="server">
</ajaxToolkit:ToolkitScriptManager>
<ajaxToolkit:TabContainer ID="TabContainerControl" runat="server">
	<ajaxToolkit:TabPanel ID="TabPanelOrderInfo" runat="server">
		<ContentTemplate>
			<table class="adminContent">
				<tr>
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.OrderStatus.Label") %>
						</strong>
					</td>
					<td class="adminData">
						<b>
							<asp:Label ID="LabelOrderStatus" runat="server"></asp:Label>
						</b>
						&nbsp;
						<asp:Button ID="ButtonCancelOrder" runat="server" Visible="false" CssClass="adminButton" CausesValidation="false" OnClick="ButtonCancelOrder_Click" />
					</td>
				</tr>
				<tr>
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.OrderNumber.Label") %>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelOrderNumber" runat="server"></asp:Label>
					</td>
				</tr>
				<tr>
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.CreatedOn.Label") %>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelCreatedOn" runat="server"></asp:Label>
					</td>
				</tr>
				<tr class="adminSeparator">
					<td colspan="2">
						<hr />
					</td>
				</tr>
				<tr>
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.Customer.Label")%>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelCustomer" runat="server"></asp:Label>
					</td>
				</tr>
				<tr>
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.OrderProductCost.Label")%>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelOrderProductCost" runat="server"></asp:Label>
					</td>
				</tr>
				<tr runat="server" id="divAffiliate">
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.OrderShippingCost.Label")%>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelShippingCost" runat="server"></asp:Label>
					</td>
				</tr>
				<tr runat="server" id="pnlOrderSubtotalInclTax">
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.OrderTotal.Label")%>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelOrderTotal" runat="server"></asp:Label>
					</td>
				</tr>
				<tr class="adminSeparator">
					<td colspan="2">
						<hr />
					</td>
				</tr>
				<tr>
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.PaymentMethod.Label") %>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelPaymentMethodName" runat="server"></asp:Label>
					</td>
				</tr>
				<tr>
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.PaymentStatus.Label") %>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label runat="server" ID="LabelPaymentStatus"></asp:Label>
						&nbsp;
						<asp:Button ID="ButtonMarkAsPaid" CssClass="adminButton" runat="server" OnClick="ButtonMarkAsPaid_Click" />
						<div style="color: red">
							<b>
								<asp:Label runat="server" ID="LabelChangePaymentStatusError" EnableViewState="false"></asp:Label>
							</b>
						</div>
					</td>
				</tr>
				<tr class="adminSeparator">
					<td colspan="2">
						<hr />
					</td>
				</tr>
				<tr>
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.Remark.Label") %>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label runat="server" ID="LabelOrderRemark"></asp:Label>
					</td>
				</tr>
			</table>
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
	<ajaxToolkit:TabPanel ID="TabPanelShippingInfo" runat="server">
		<ContentTemplate>
			<table class="adminContent">
				<tr runat="server" id="divShippingAddress">
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.ShippingAddress.Label") %>:
						</strong>
					</td>
					<td class="adminData">
						<table style="border: solid 1px black; padding: 5px;" cellspacing="3" cellpadding="3">
							<tr>
								<td style="width: 90px;">
									<%=GetLocalResourceString("Admin.OrderDetail.ShippingAddress.FullName")%>:
								</td>
								<td>
									<asp:Label ID="LabelShippingFullName" runat="server" />
								</td>
							</tr>
							<tr>
								<td>
									<%=GetLocalResourceString("Admin.OrderDetail.ShippingAddress.Email")%>:
								</td>
								<td>
									<asp:Label ID="LabelShippingEmail" runat="server" />
								</td>
							</tr>
							<tr>
								<td>
									<%=GetLocalResourceString("Admin.OrderDetail.ShippingAddress.Phone")%>:
								</td>
								<td>
									<asp:Label ID="LabelShippingPhoneNumber" runat="server" />
								</td>
							</tr>
							<tr>
								<td>
									<%=GetLocalResourceString("Admin.OrderDetail.ShippingAddress.Mobile")%>:
								</td>
								<td>
									<asp:Label ID="LabelShippingMobileNumber" runat="server" />
								</td>
							</tr>
							<tr>
								<td>
									<%=GetLocalResourceString("Admin.OrderDetail.ShippingAddress.Fax")%>:
								</td>
								<td>
									<asp:Label ID="LabelShippingFaxNumber" runat="server" />
								</td>
							</tr>
							<%--<tr>
								<td>
									<%=GetLocalResourceString("Admin.OrderDetail.ShippingAddress.Company")%>
								</td>
								<td>
									<asp:Label ID="LabelShippingCompany" runat="server" />
								</td>
							</tr>--%>
							<tr>
								<td>
									<%=GetLocalResourceString("Admin.OrderDetail.ShippingAddress.AddressDetail")%>:
								</td>
								<td>
									<asp:Label ID="LabelShippingAddress1" runat="server" />
								</td>
							</tr>
							<tr>
								<td>
									<%=GetLocalResourceString("Admin.OrderDetail.ShippingAddress.CountryStateProvinceCity")%>:
								</td>
								<td>
									<asp:Label ID="LabelShippingStateProvinceCity" runat="server" />
								</td>
							</tr>
							<tr>
								<td>
									<%=GetLocalResourceString("Admin.OrderDetail.ShippingAddress.ZipPostalCode")%>:
								</td>
								<td>
									<asp:Label ID="LabelShippingZipPostalCode" runat="server" />
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr runat="server" id="divShippingMethod">
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.ShippingAddress.ShippingMethod.Label") %>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelShippingMethod" runat="server"></asp:Label>
					</td>
				</tr>
				<tr runat="server" id="divPurchaseOrderNumber">
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.PurchaseOrderNumber.Label")%>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelPurchaseOrderNumber" runat="server"></asp:Label>
						<asp:TextBox ID="TextPurchaseOrderNumber" runat="server"></asp:TextBox>
					</td>
				</tr>
				<tr runat="server" id="divShippingCompany">
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.ShippingCompany.Label") %>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelShippingCompany" runat="server"></asp:Label>
						<asp:TextBox ID="TextShippingCompany" runat="server"></asp:TextBox>
					</td>
				</tr>
				<tr runat="server" id="divTrackingNumber">
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.ShippingAddress.TrackingNumber.Label") %>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelTrackingNumber" runat="server"></asp:Label>
						<asp:TextBox ID="TextTrackingNumber" runat="server"></asp:TextBox>
						<asp:Button ID="ButtonSetTrackingNumber" CssClass="adminButton" runat="server" OnClick="ButtonSetTrackingNumber_Click"></asp:Button>
					</td>
				</tr>
				<tr runat="server" id="divShippedDate">
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.ShippedDate.Label") %>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelShippedDate" runat="server"></asp:Label>
						<asp:Button ID="ButtonSetAsShipped" CssClass="adminButton" runat="server" OnClick="ButtonSetAsShipped_Click"></asp:Button>
					</td>
				</tr>
				<tr runat="server" id="divDeliveryDate">
					<td class="adminTitle">
						<strong>
							<%=GetLocalResourceString("Admin.OrderDetail.DeliveryDate.Label") %>
						</strong>
					</td>
					<td class="adminData">
						<asp:Label ID="LabelDeliveryDate" runat="server"></asp:Label>
						<asp:Button ID="ButtonSetAsDelivered" CssClass="adminButton" runat="server" OnClick="ButtonSetAsDelivered_Click"></asp:Button>
					</td>
				</tr>
			</table>
			<asp:Label ID="LabelDeliveryMsg" runat="server"></asp:Label>
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
	<ajaxToolkit:TabPanel ID="TabPanelProducts" runat="server">
		<ContentTemplate>
			<asp:GridView ID="gvOrderProduct" runat="server" AutoGenerateColumns="False" DataKeyNames="ProductID,ProductName" AllowSorting="false" AllowPaging="false"
				Width="100%" OnRowDataBound="gvOrderProduct_RowDataBound">
				<Columns>
					<asp:TemplateField ItemStyle-Width="20%" ItemStyle-HorizontalAlign="Center">
						<ItemTemplate>
							<asp:HyperLink ID="HyperLinkProductImg" runat="server"></asp:HyperLink>
						</ItemTemplate>
					</asp:TemplateField>
					<asp:TemplateField ItemStyle-Width="40%">
						<ItemTemplate>
							<asp:HyperLink ID="HyperLinkProductName" runat="server"></asp:HyperLink>
						</ItemTemplate>
					</asp:TemplateField>
					<asp:BoundField DataField="ListPrice" ItemStyle-Width="20%" DataFormatString="{0:c2}" />
					<asp:BoundField DataField="Quantity" ItemStyle-Width="10%" />
					<asp:BoundField DataField="SumPrice" ItemStyle-Width="10%" DataFormatString="{0:c2}" />
				</Columns>
			</asp:GridView>
			<div style="text-align: right; padding-right: 20px; margin-top: 10px; font-size: 15px; font-weight: bold; vertical-align: middle;">
				<asp:Label ID="LabelProductTotalPrice" runat="server"></asp:Label>
			</div>
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
	<ajaxToolkit:TabPanel ID="TabPanelOrderNote" runat="server">
		<ContentTemplate>
			<asp:GridView ID="gvOrderNotes" runat="server" DataKeyNames="OrderNoteId" AutoGenerateColumns="False" Width="100%" AllowSorting="false" AllowPaging="false"
				OnRowDataBound="gvOrderNotes_RowDataBound">
				<Columns>
					<asp:BoundField DataField="CreatedOn" ItemStyle-Width="50%" ItemStyle-HorizontalAlign="Center" />
					<asp:BoundField DataField="Note" ItemStyle-Width="50%" ItemStyle-HorizontalAlign="Center" />
				</Columns>
			</asp:GridView>
		</ContentTemplate>
	</ajaxToolkit:TabPanel>
</ajaxToolkit:TabContainer>
