﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductAdditionalProperty.ascx.cs" Inherits="ECommerce.Administration.Controls.ProductAdditionalProperty" %>
<asp:Panel runat="server" ID="pnlMessage">
	<%=GetLocalResourceString("Admin.ProductAdditionalProperty.AvailableAfterSaving")%>
</asp:Panel>
<asp:Panel ID="PanelMain" runat="server">
	<asp:GridView ID="GridAdditionalProperties" runat="server" AllowPaging="false" AllowSorting="false" AutoGenerateColumns="false"
		DataKeyNames="ProductAdditionalPropertyID" OnRowUpdating="GridAdditionalProperties_RowUpdating" OnRowDataBound="GridAdditionalProperties_RowDataBound"
		OnRowDeleting="GridAdditionalProperties_RowDeleting" Width="100%">
		<Columns>
			<asp:BoundField DataField="PropertyName" HeaderStyle-Width="20%" />
			<asp:TemplateField HeaderStyle-Width="30%">
				<ItemTemplate>
					<asp:TextBox ID="TextPropertyValue" runat="server" Width="100%" Text='<%# Eval("PropertyValue") %>'></asp:TextBox>
				</ItemTemplate>
			</asp:TemplateField>
			<%--<asp:BoundField DataField="PropertyValue" HeaderStyle-Width="30%" />--%>
			<asp:TemplateField HeaderStyle-Width="15%">
				<ItemTemplate>
					<asp:TextBox ID="TextDisplayOrder" runat="server"></asp:TextBox>
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="15%">
				<ItemTemplate>
					<asp:Button ID="ButtonUpdate" runat="server" CssClass="adminButton" CommandName="Update" />
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField HeaderStyle-Width="20%" ItemStyle-HorizontalAlign="Center">
				<ItemTemplate>
					<asp:LinkButton ID="LinkButtonDelete" runat="server" CausesValidation="false" CommandName="Delete" />
				</ItemTemplate>
			</asp:TemplateField>
		</Columns>
		<EmptyDataTemplate>
			<p>
				<%=GetLocalResourceString("Admin.ProductAdditionalProperty.NoRecords")%>
			</p>
		</EmptyDataTemplate>
	</asp:GridView>
	<p>
		<strong>
			<%=GetLocalResourceString("Admin.ProductAdditionalProperty.AddNewAdditionalProperty")%>
		</strong>
	</p>
	<table class="adminContent">
		<tr>
			<td class="adminTitle">
				<%=GetLocalResourceString("Admin.ProductAdditionalProperty.PropertyNameTitle")%>
			</td>
			<td class="adminData">
				<asp:TextBox ID="TextPropertyName" runat="server" Width="200"></asp:TextBox>
				<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="*" ValidationGroup="AddProperty" ControlToValidate="TextPropertyName"></asp:RequiredFieldValidator>
			</td>
		</tr>
		<tr>
			<td class="adminTitle">
				<%=GetLocalResourceString("Admin.ProductAdditionalProperty.PropertyValueTitle")%>
			</td>
			<td class="adminData">
				<asp:TextBox ID="TextPropertyValue" runat="server" Width="200"></asp:TextBox>
			</td>
		</tr>
		<tr>
			<td class="adminTitle">
				<%=GetLocalResourceString("Admin.ProductAdditionalProperty.DisplayOrderTitle")%>
			</td>
			<td class="adminData">
				<asp:TextBox ID="TextDisplayOrder" runat="server" Width="200"></asp:TextBox>
			</td>
		</tr>
		<tr>
			<td colspan="2" align="left">
				<asp:Button ID="ButtonAddProperty" runat="server" CausesValidation="true" CssClass="adminButtonBlue" ValidationGroup="AddProperty"
					OnClick="ButtonAddProperty_Click" />
			</td>
		</tr>
	</table>
</asp:Panel>
