﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductBasicInfo.ascx.cs" Inherits="ECommerce.Administration.Controls.ProductBasicInfo" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit.HTMLEditor" TagPrefix="HTMLEditor" %>
<table class="adminContent">
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.ProductCodeTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextProductCode" runat="server" MaxLength="20" Width="250"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%= GetLocalResourceString("Admin.EditProduct.NameTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextProductName" runat="server" MaxLength="100" Width="250"></asp:TextBox>
			<asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="TextProductName" runat="server" ErrorMessage="*"
				ValidationGroup="ProductBasicInfo"></asp:RequiredFieldValidator>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.ShortDescriptionTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextShortDescription" runat="server" TextMode="MultiLine" Columns="40" Rows="6"></asp:TextBox>
			<asp:RequiredFieldValidator ID="RequiredFieldValidator3" ControlToValidate="TextShortDescription" runat="server" ErrorMessage="*"
				ValidationGroup="ProductBasicInfo"></asp:RequiredFieldValidator>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.FullDescriptionTitle")%>
		</td>
		<td class="adminData">
			<HTMLEditor:Editor ID="EditorFullDescription" runat="server" Width="100%" Height="350px" />
			<%--<asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="EditorFullDescription" ErrorMessage="*"
				ValidationGroup="ProductBasicInfo"></asp:RequiredFieldValidator>--%>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.ShowOnHomePageTitle")%>
		</td>
		<td class="adminData">
			<asp:CheckBox ID="CheckShowOnHomePage" runat="server" />
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.PublishedTitle")%>
		</td>
		<td class="adminData">
			<asp:CheckBox ID="CheckPublished" runat="server" />
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.RecommendTitle")%>
		</td>
		<td class="adminData">
			<asp:CheckBox ID="CheckRecommend" runat="server" />
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.AllowUserRatingTitle")%>
		</td>
		<td class="adminData">
			<asp:CheckBox ID="CheckAllowUserRating" runat="server" />
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.ListPriceTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextListPrice" runat="server"></asp:TextBox>
			<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="TextListPrice" ErrorMessage="*"
				ValidationGroup="ProductBasicInfo"></asp:RequiredFieldValidator>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditProduct.CashTicketLimitTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextCashTicketLimit" runat="server"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.MetaTitleTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextMetaTitle" runat="server"></asp:TextBox>
			<asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ErrorMessage="*" ControlToValidate="TextMetaTitle"
				ValidationGroup="ProductBasicInfo"></asp:RequiredFieldValidator>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.MetaKeywordsTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextMetaKeywords" runat="server"></asp:TextBox>
			<asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ErrorMessage="*" ControlToValidate="TextMetaKeywords"
				ValidationGroup="ProductBasicInfo"></asp:RequiredFieldValidator>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.QuantityTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextQuantity" runat="server"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.SizeTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextSize" runat="server"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.SizeUnitTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextSizeUnit" runat="server"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.WeightTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextWeight" runat="server"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.WeightUnitTitle")%>
		</td>
		<td class="adminData">
			<asp:TextBox ID="TextWeightUnit" runat="server"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td class="adminTitle">
			<%=GetLocalResourceString("Admin.EditCategory.ShippingMethodTitle")%>
		</td>
		<td class="adminData">
			<asp:CheckBoxList ID="CheckListShippingMethod" runat="server" RepeatDirection="Horizontal" CellSpacing="10" RepeatColumns="8" DataTextField="Name" DataValueField="ShippingMethodID">
			</asp:CheckBoxList>
		</td>
	</tr>
</table>
