﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RelatedProducts.ascx.cs" Inherits="ECommerce.Administration.Controls.RelatedProducts" %>
<asp:Panel ID="PanelMain" runat="server">
	<asp:GridView ID="GridRelatedProducts" runat="server" AllowPaging="false" AllowSorting="false" AutoGenerateColumns="false" DataKeyNames="ProductID2,RelatedProductID"
		EnableViewState="true" OnRowUpdating="GridRelatedProducts_RowUpdating" OnRowDataBound="GridRelatedProducts_RowDataBound" OnRowDeleting="GridRelatedProducts_RowDeleting"
		Width="100%">
		<Columns>
			<asp:BoundField DataField="ProductName" HeaderStyle-Width="40%" />
			<asp:BoundField DataField="ListPrice" HeaderStyle-Width="10%" DataFormatString="{0:c3}" />
			<asp:TemplateField HeaderStyle-Width="20%">
				<ItemTemplate>
					<asp:TextBox ID="TextDisplayOrder" runat="server" Text='<%# Eval("DisplayOrder") %>'></asp:TextBox>
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="15%">
				<ItemTemplate>
					<asp:Button ID="ButtonUpdate" runat="server" CssClass="adminButton" CommandName="Update" />
				</ItemTemplate>
			</asp:TemplateField>
			<asp:TemplateField ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="15%">
				<ItemTemplate>
					<asp:LinkButton ID="LinkButtonDelete" runat="server" CommandName="Delete"></asp:LinkButton>
				</ItemTemplate>
			</asp:TemplateField>
		</Columns>
	</asp:GridView>
	<asp:Button ID="ButtonAddNewRelatedProd" runat="server" CssClass="adminButton" />
	<ajaxToolkit:ModalPopupExtender ID="PopupSelectproduct" runat="server" TargetControlID="ButtonAddNewRelatedProd" PopupControlID="PanelSelectProduct" BackgroundCssClass="modalBackground"
		CancelControlID="ButtonCancel" />
	<asp:Panel ID="PanelSelectProduct" runat="server" CssClass="modalPopup">
		<script type="text/javascript">

			$(window).bind('load', function() {
				var cbHeader = $(".cbHeader_relatedproducts input");
				var cbRowItem = $(".cbRowItem_relatedproducts input");
				cbHeader.bind("click", function() {
					cbRowItem.each(function() { this.checked = cbHeader[0].checked; })
				});
				cbRowItem.bind("click", function() { if ($(this).checked == false) cbHeader[0].checked = false; });
			});
    
		</script>
		<asp:UpdatePanel ID="UpdatePanelForGridProducts" runat="server">
			<ContentTemplate>
				<asp:GridView ID="GridProducts" runat="server" OnRowDataBound="GridProducts_RowDataBound" EnableViewState="true" AutoGenerateColumns="false" AllowSorting="false"
					Width="100%" PageSize="20" OnPageIndexChanging="GridProducts_PageIndexChanging" PagerStyle-Font-Size="Small" PagerStyle-HorizontalAlign="Right">
					<Columns>
						<asp:TemplateField HeaderStyle-Width="10%" ItemStyle-HorizontalAlign="Center">
							<HeaderTemplate>
								<asp:CheckBox ID="cbSelectAll" runat="server" CssClass="cbHeader_relatedproducts" />
							</HeaderTemplate>
							<ItemTemplate>
								<asp:CheckBox ID="cbProduct" runat="server" CssClass="cbRowItem_relatedproducts" />
								<asp:HiddenField ID="hfProductId" runat="server" Value='<%# Eval("ProductID") %>' />
							</ItemTemplate>
						</asp:TemplateField>
						<asp:BoundField DataField="Name" HeaderStyle-Width="60%" />
						<asp:BoundField DataField="ListPrice" HeaderStyle-Width="30%" DataFormatString="{0:c3}" />
					</Columns>
				</asp:GridView>
				<div class="grid_pager_container">
					<asp:LinkButton ID="LinkButtonFirstPage" runat="server" CommandName="FirstPage" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
					&nbsp;
					<asp:Repeater ID="RepeaterPageIndex" runat="server">
						<ItemTemplate>
							<asp:LinkButton ID="LinkButtonPageIndex" runat="server" Text='<%# Eval("Index") %>' CommandName="PageIndex" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
						</ItemTemplate>
					</asp:Repeater>
					&nbsp;
					<asp:LinkButton ID="LinkButtonLastPage" runat="server" CssClass="grid_pager_nextpage" CommandName="LastPage" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
				</div>
			</ContentTemplate>
		</asp:UpdatePanel>
		<div id="divoperator">
			<asp:Button ID="ButtonAdd" runat="server" CssClass="adminButtonBlue" OnClick="ButtonAdd_Click" />&nbsp;&nbsp;
			<asp:Button ID="ButtonCancel" runat="server" CssClass="adminButtonBlue" />
		</div>
	</asp:Panel>
</asp:Panel>
<asp:Panel runat="server" ID="pnlMessage">
	<%=GetLocalResourceString("Admin.RelatedProducts.AvailableAfterSaving")%>
</asp:Panel>
