﻿using System;

namespace ECommerce.Administration
{
	public partial class CustomerMustKnown : AdminBasePage
	{
		private Service.IProductAdditionalPropertyService _ProductAdditionalPropertyService;

		public Data.Entity.Language CurrentLanguage
		{
			get
			{
				if (SiteContext.Current != null)
				{
					return SiteContext.Current.WorkingLanguage;
				}
				else
				{
					return null;
				}
			}
		}

		protected void Page_Load(object sender, EventArgs e)
		{
			if (!IsPostBack)
			{
				ButtonSave.Text = GetLocalResourceString("Admin.SaveButtonText");
			}
		}

		protected void Page_PreRender(object sender, EventArgs e)
		{
			GetExistContent();
		}

		private void GetExistContent()
		{
			if (CurrentLanguage != null)
			{
				if (_ProductAdditionalPropertyService == null)
				{
					_ProductAdditionalPropertyService = new Service.ProductAdditionalPropertyService();
				}

				var theCustomerMustKnownContent = _ProductAdditionalPropertyService.GetTheProductAdditionalPropertyByName("CustomerMustKnownContent_" + CurrentLanguage.LanguageCulture);

				if (theCustomerMustKnownContent != null)
				{
					HtmlEditorCustomerMustKnownContent.Content = theCustomerMustKnownContent.PropertyValue;
				}
				else
				{
					HtmlEditorCustomerMustKnownContent.Content = string.Empty;
				}
			}
		}

		protected void ButtonSave_Click(object sender, EventArgs e)
		{
			if (CurrentLanguage != null)
			{
				if (_ProductAdditionalPropertyService == null)
				{
					_ProductAdditionalPropertyService = new Service.ProductAdditionalPropertyService();
				}

				var theCustomerMustKnownContent = new Data.Entity.ProductAdditionalProperty();

				theCustomerMustKnownContent.DisplayOrder = null;
				theCustomerMustKnownContent.ProductID = null;
				theCustomerMustKnownContent.PropertyName = "CustomerMustKnownContent_" + CurrentLanguage.LanguageCulture;
				theCustomerMustKnownContent.PropertyValue = HtmlEditorCustomerMustKnownContent.Content;

				_ProductAdditionalPropertyService.SaveTheCustomerMustKnownContent(theCustomerMustKnownContent);
			}
		}
	}
}
