﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductsByTag.ascx.cs" Inherits="ECommerce.Controls.ProductsByTag" %>

<script type="text/javascript">
	$(document).ready(function() {
		$("table.productlist img").mouseover(function() {
			var imgsrc = $(this).attr("src");
			imgsrc = imgsrc.split("?")[0] + "?" + "picturesize=450&" + imgsrc.split("&")[1];

			$("<div>").addClass("picture_overlay").appendTo("table div.productpicture");

			$("<div id='loadingcontainer'>loading...</div>").appendTo("table div.picture_overlay");

			var os = $(this).offset();
			if ($("table div.picture_overlay img").length <= 0) {
				$("<img>").attr("src", imgsrc).appendTo("table div.picture_overlay");
			}
			else {
				$("table div.picture_overlay img").attr("src", imgsrc);
			}
			$("table div.picture_overlay img").bind("load", function() {
				$("table div.picture_overlay #loadingcontainer").remove();
			});
			$("table div.picture_overlay").css("left", os.left + $(this).width());
			$("table div.picture_overlay").css("top", $(window).height() / 3);
			//$("#picprevcontainer img").attr("src", imgsrc);

			$("table div.picture_overlay").fadeIn();
			//$("table div.productpicture #loadingcontainer").css("display", "none");
		});
		$("table.productlist img").mouseleave(function() {
			//$("#picprevcontainer img").attr("src", "");
			$("table div.picture_overlay").fadeOut();
			$("table div.picture_overlay").remove();
		});
	});
</script>

<div id="productlist_container">
	<div id="productlist_grid">
		<div id="grid_pager_container_up" class="grid_pager_container_up">
			<label>
				<asp:Literal ID="LSortBySelectorLabel" runat="server" EnableViewState="false"></asp:Literal>
			</label>
			<asp:DropDownList ID="DropDownList_SortBy" runat="server" AutoPostBack="True" OnSelectedIndexChanged="DropDownList_SortBy_SelectedIndexChanged">
			</asp:DropDownList>
			<asp:Literal ID="LTotalRecordsLabel" runat="server" EnableViewState="false"></asp:Literal>:<asp:Label ID="LabelTotalRecords1" runat="server"></asp:Label>
			&nbsp;
			<asp:Literal ID="LTotalPagesLabel" runat="server" EnableViewState="false"></asp:Literal>:<asp:Label ID="LabelTotalPages1" runat="server"></asp:Label>
			&nbsp;
			<asp:LinkButton ID="LinkButtonFirstPage1" runat="server" CommandName="FirstPage" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
			<asp:LinkButton ID="LinkButtonPrePage1" runat="server" CommandName="PrePage" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
			&nbsp;
			<asp:Repeater ID="RepeaterPageIndex1" runat="server">
				<ItemTemplate>
					<asp:LinkButton ID="LinkButtonPageIndex1" runat="server" Text='<%# Eval("Index") %>' CommandName="PageIndex" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
				</ItemTemplate>
			</asp:Repeater>
			&nbsp;
			<asp:LinkButton ID="LinkButtonNextPage1" runat="server" CssClass="grid_pager_nextpage" CommandName="NextPage" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
			<asp:LinkButton ID="LinkButtonLastPage1" runat="server" CssClass="grid_pager_nextpage" CommandName="LastPage" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
			<div class="clear">
			</div>
		</div>
		<asp:GridView ID="GridProducts" EnableViewState="true" runat="server" AllowPaging="false" AutoGenerateColumns="False" ShowHeader="false"
			GridLines="Horizontal" CssClass="productlist" OnRowCommand="GridProducts_RowCommand" DataKeyNames="ProductID">
			<Columns>
				<asp:TemplateField>
					<ItemTemplate>
						<div class="productpicture pictureborder">
							<img src='PictureHandler.ashx?picturesize=125&productid=<%# Eval("ProductID") %>' />
						</div>
					</ItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField>
					<ItemTemplate>
						<div class="cell2">
							<h3 class="productname">
								<asp:HyperLink ID="HyperLink1" runat="server" Text='<%# Eval("Name") %>'></asp:HyperLink>
							</h3>
							<br />
							<p>
								<%# Eval("ShortDescription").ToString().Length > 80 ? Eval("ShortDescription").ToString().Substring(0, 80) : Eval("ShortDescription").ToString()%>
							</p>
						</div>
					</ItemTemplate>
				</asp:TemplateField>
				<asp:TemplateField>
					<ItemTemplate>
						<div class="productprice">
							<%--<label>
                                <%= HttpUtility.HtmlEncode(GetLocalResourceString("Product.ListPrice"))%></label>--%>
							&nbsp;&nbsp;&nbsp; <strong class="font14">
								<%# Eval("ListPrice", "{0:c2}")%>
							</strong>
						</div>
						<asp:Button ID="ButtonAddToCart" runat="server" CommandName="AddToCart" Text='<%# GetLocalResourceString("ECommerce.AddToCart") %>'
							CommandArgument='<%# Eval("ProductID") %>' CssClass="button" />
					</ItemTemplate>
				</asp:TemplateField>
			</Columns>
			<EmptyDataTemplate>
				<p>
					<%= GetLocalResourceString("ECommerce.NoRecord") %>
				</p>
			</EmptyDataTemplate>
		</asp:GridView>
		<div id="gridpager_container" class="grid_pager_container">
			<asp:Literal ID="LTotalRecordsLabel1" runat="server" EnableViewState="false"></asp:Literal>:<asp:Label ID="LabelTotalRecords" runat="server"></asp:Label>
			&nbsp;
			<asp:Literal ID="LTotalPagesLabel1" runat="server" EnableViewState="false"></asp:Literal>:<asp:Label ID="LabelTotalPages" runat="server"></asp:Label>
			&nbsp;
			<asp:LinkButton ID="LinkButtonFirstPage" runat="server" CommandName="FirstPage" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
			<asp:LinkButton ID="LinkButtonPrePage" runat="server" CommandName="PrePage" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
			&nbsp;
			<asp:Repeater ID="RepeaterPageIndex" runat="server">
				<ItemTemplate>
					<asp:LinkButton ID="LinkButtonPageIndex" runat="server" Text='<%# Eval("Index") %>' CommandName="PageIndex" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
				</ItemTemplate>
			</asp:Repeater>
			&nbsp;
			<asp:LinkButton ID="LinkButtonNextPage" runat="server" CssClass="grid_pager_nextpage" CommandName="NextPage" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
			<asp:LinkButton ID="LinkButtonLastPage" runat="server" CssClass="grid_pager_nextpage" CommandName="LastPage" OnCommand="LinkButtonPaging_Command"></asp:LinkButton>
		</div>
	</div>
</div>
