﻿
namespace ECommerce.Controls
{
	using System;
	using System.Linq;
	using System.Web.UI.WebControls;
	using Service;

	public partial class RecommendProducts : BaseUserControl
	{
		private IProductService _ProductService;

		protected void Page_PreRender(object sender, EventArgs e)
		{
			this.LRecommendProductsTitle.Text = GetLocalResourceString("RecommendProducts.Title");
			HyperLinkSeeMore.Text = GetLocalResourceString("Ecommerce.SeeMore");

			if (!IsPostBack)
			{
				HyperLinkSeeMore.NavigateUrl = "~/Category.aspx?recommendproducts=1";
			}

			BindRecommendProducts();
		}

		protected void RepeaterRecommedProducts_ItemDataBound(object sender, RepeaterItemEventArgs e)
		{
			if (e.Item.DataItem != null)
			{
				System.Web.UI.WebControls.HyperLink hlImg = e.Item.FindControl("HyperLinkProdImg") as HyperLink;

				hlImg.NavigateUrl = "~/ProductDetail.aspx?productid=" + ((Data.Entity.Product)e.Item.DataItem).ProductID;
				hlImg.ImageUrl = "~/PictureHandler.ashx?picturesize=125&productid=" + ((Data.Entity.Product)e.Item.DataItem).ProductID;

				System.Web.UI.WebControls.HyperLink hlName = (System.Web.UI.WebControls.HyperLink)e.Item.FindControl("HyperLinkProdName");

				hlName.NavigateUrl = hlImg.NavigateUrl;
				string theName = ((Data.Entity.Product)e.Item.DataItem).Name;
				hlName.Text = theName.Length > 7 ? theName.Substring(0, 7) + "..." : theName;
				hlName.ToolTip = theName;
				hlImg.ToolTip = theName;
			}
		}

		private void BindRecommendProducts()
		{
			if (SiteContext.Current == null || SiteContext.Current.WorkingLanguage == null)
			{
				Server.Transfer("~/HomePage.aspx");
			}

			if (_ProductService == null)
			{
				_ProductService = new ProductService();
			}

			var productByLang = _ProductService.GetProductsByLanguage(SiteContext.Current.WorkingLanguage.LanguageId);

			if (productByLang != null)
			{
				var products = (from p in productByLang
								where p.Recommend.GetValueOrDefault()
								orderby p.DisplayOrder
								select p).Take(8);

				RepeaterRecommedProducts.DataSource = products;
				RepeaterRecommedProducts.DataBind();
			}
			else
			{
				RepeaterRecommedProducts.DataSource = null;
				RepeaterRecommedProducts.DataBind();
			}
		}
	}
}