﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Register.ascx.cs" Inherits="ECommerce.Controls.Register" %>
<div class="register_container">
	<h3 class="register_header">
		<asp:Literal ID="LRegisterTitle" runat="server" EnableViewState="false"></asp:Literal>
	</h3>
	<div style="margin-left: 100px; text-align: left;">
		<p>
			<asp:Literal ID="LRegisterTips" runat="server" EnableViewState="false"></asp:Literal>
		</p>
	</div>
	<asp:CreateUserWizard ID="CreateUserWizard1" runat="server" OnPreRender="CreateUserWizard1_PreRender" OnContinueButtonClick="CreateUserWizard1_ContinueButtonClick"
		OnCreatedUser="CreateUserWizard1_CreatedUser">
		<WizardSteps>
			<asp:CreateUserWizardStep ID="CreateUserWizardStep1" runat="server">
				<ContentTemplate>
					<table border="0">
						<tr>
							<td class="register_label">
								<label for="UserName">
									<%= GetLocalResourceString("Register.UserNameLabel") %>:</label>
							</td>
							<td class="register_input">
								<asp:TextBox ID="UserName" runat="server" Width="160"></asp:TextBox>
								<asp:RequiredFieldValidator ControlToValidate="UserName" ID="UserNameRequired" runat="server" ToolTip="User Name is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
							</td>
						</tr>
						<tr>
							<td class="register_label">
								<label for="Password">
									<%= GetLocalResourceString("Register.PasswordLabel") %>:</label>
							</td>
							<td class="register_input">
								<asp:TextBox ID="Password" runat="server" Width="160" TextMode="Password"></asp:TextBox>
								<asp:RequiredFieldValidator ControlToValidate="Password" ID="PasswordRequired" runat="server" ToolTip="Password is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
							</td>
						</tr>
						<tr>
							<td class="register_label">
								<label for="ConfirmPassword">
									<%= GetLocalResourceString("Register.ConfirmPasswordLabel") %>:</label>
							</td>
							<td class="register_input">
								<asp:TextBox ID="ConfirmPassword" runat="server" Width="160" TextMode="Password"></asp:TextBox>
								<asp:RequiredFieldValidator ControlToValidate="ConfirmPassword" ID="ConfirmPasswordRequired" runat="server" ToolTip="Confirm Password is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
							</td>
						</tr>
						<tr>
							<td class="register_label">
								<label for="Email">
									E-mail:</label>
							</td>
							<td class="register_input">
								<asp:TextBox ID="Email" runat="server" Width="160"></asp:TextBox>
								<asp:RequiredFieldValidator ControlToValidate="Email" ID="EmailRequired" runat="server" ToolTip="E-mail is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
							</td>
						</tr>
						<tr>
							<td class="register_label">
								<label for="Question">
									<%= GetLocalResourceString("Register.SecurityQuestionLabel") %>:</label>
							</td>
							<td class="register_input">
								<asp:TextBox ID="Question" runat="server" Width="160"></asp:TextBox>
								<asp:RequiredFieldValidator ControlToValidate="Question" ID="QuestionRequired" runat="server" ToolTip="Security question is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
							</td>
						</tr>
						<tr>
							<td class="register_label">
								<label for="Answer">
									<%= GetLocalResourceString("Register.SecurityAnswerLabel")%>:</label>
							</td>
							<td class="register_input">
								<asp:TextBox ID="Answer" runat="server" Width="160"></asp:TextBox>
								<asp:RequiredFieldValidator ControlToValidate="Answer" ID="AnswerRequired" runat="server" ToolTip="Security answer is required." ValidationGroup="CreateUserWizard1">*</asp:RequiredFieldValidator>
							</td>
						</tr>
						<tr>
							<td align="center" colspan="2">
								<asp:CompareValidator ControlToCompare="Password" ControlToValidate="ConfirmPassword" Display="Dynamic" ID="PasswordCompare" runat="server" ValidationGroup="CreateUserWizard1"
									OnPreRender="PasswordCompare_PreRender"></asp:CompareValidator>
								<asp:RegularExpressionValidator ID="RegularExpressionValidator_Email" ValidationExpression="^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$"
									runat="server" OnPreRender="RegularExpressionValidator_Email_PreRender" ControlToValidate="Email" ValidationGroup="CreateUserWizard1"></asp:RegularExpressionValidator>
							</td>
						</tr>
						<tr>
							<td align="center" colspan="2" style="color: red">
								<asp:Literal EnableViewState="False" ID="ErrorMessage" runat="server"></asp:Literal>
							</td>
						</tr>
						<tr>
							<td colspan="2">
							</td>
						</tr>
						<tr>
							<td colspan="2">
							</td>
						</tr>
					</table>
				</ContentTemplate>
			</asp:CreateUserWizardStep>
			<asp:CompleteWizardStep ID="CompleteWizardStep1" runat="server">
				<ContentTemplate>
					<table border="0" style="margin-top: 20px;">
						<tr style="height: 35px;">
							<td align="center" style="width: 250px;">
								<%= GetLocalResourceString("Register.CompleteTitle") %>
							</td>
							<td style="width: 250px;">
							</td>
						</tr>
						<tr style="height: 35px;">
							<td align="center" colspan="2">
								<%= GetLocalResourceString("Register.SuccessfullyRegister") %>
							</td>
						</tr>
						<tr style="height: 35px;">
							<td align="center" colspan="2">
								<asp:Button CausesValidation="False" CssClass="button" CommandName="Continue" ID="ContinueButton" runat="server" Text="Continue" ValidationGroup="CreateUserWizard1"
									OnPreRender="ContinueButton_PreRender" />
							</td>
						</tr>
					</table>
				</ContentTemplate>
			</asp:CompleteWizardStep>
		</WizardSteps>
		<CreateUserButtonStyle CssClass="button" />
		<ContinueButtonStyle CssClass="button" />
		<CancelButtonStyle CssClass="button" />
		<FinishCompleteButtonStyle CssClass="button" />
		<FinishPreviousButtonStyle CssClass="button" />
		<NavigationButtonStyle CssClass="button" />
		<StartNextButtonStyle CssClass="button" />
		<StepNextButtonStyle CssClass="button" />
		<StepPreviousButtonStyle CssClass="button" />
	</asp:CreateUserWizard>
</div>
