﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AddressManage.ascx.cs" Inherits="ECommerce.Customer.Controls.AddressManage" %>
<%@ Register Src="~/Customer/Controls/CountryProvinceCitySelector.ascx" TagName="CountryProvinceCitySelector" TagPrefix="ucCountryProvinceCitySelector" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<div id="addressmanagecontainer" class="addressmanage_container">
	<asp:Repeater ID="RepeaterAddresses" runat="server" OnItemCommand="RepeaterAddresses_ItemCommand" OnItemDataBound="RepeaterAddresses_ItemDataBound">
		<ItemTemplate>
			<table>
				<tr>
					<td class="accountmanagelables">
						<%= GetLocalResourceString("AddressManage.AddresseeLable") %>
					</td>
					<td>
						<%= GetLocalResourceString("AddressManage.FirstNameLable") %>:
						<asp:TextBox ID="TextFirstName" runat="server" Text='<%# Eval("FirstName") %>'></asp:TextBox>&nbsp;
						<asp:RequiredFieldValidator ID="RequiredFieldValidator3" ControlToValidate="TextFirstName" ValidationGroup="UpdateAddress" runat="server" ErrorMessage="*"></asp:RequiredFieldValidator>
					</td>
				</tr>
				<tr>
					<td class="accountmanagelables">
					</td>
					<td>
						<%= GetLocalResourceString("AddressManage.LastNameLable") %>:
						<asp:TextBox ID="TextLastName" runat="server" Text='<%# Eval("LastName") %>'></asp:TextBox>
						<asp:RequiredFieldValidator ID="RequiredFieldValidator4" ControlToValidate="TextLastName" runat="server" ErrorMessage="*" ValidationGroup="UpdateAddress"></asp:RequiredFieldValidator>
					</td>
				</tr>
				<tr>
					<td class="accountmanagelables">
						<%= GetLocalResourceString("AddressManage.CitySelectorLable") %>:
					</td>
					<td>
						<ucCountryProvinceCitySelector:CountryProvinceCitySelector ID="CountryProvCitySel" runat="server" SelectedCountryID='<%# Eval("CountryID") %>' SelectedProvinceID='<%# Eval("StateProvinceID") %>'
							SelectedCityID='<%# Eval("CityID") %>' />
					</td>
				</tr>
				<tr>
					<td class="accountmanagelables">
						<%= GetLocalResourceString("AddressManage.PhoneNumberLable") %>:
					</td>
					<td>
						<asp:TextBox ID="TextPhoneNumber" runat="server" Text='<%# Eval("PhoneNumber") %>'></asp:TextBox>
					</td>
				</tr>
				<tr>
					<td class="accountmanagelables">
						<%= GetLocalResourceString("AddressManage.MobileNumberLable") %>:
					</td>
					<td>
						<asp:TextBox ID="TextMobileNumber" runat="server" Text='<%# Eval("MobileNumber") %>'></asp:TextBox>
					</td>
				</tr>
				<tr>
					<td class="accountmanagelables">
						<%= GetLocalResourceString("AddressManage.ZipCodeLable") %>:
					</td>
					<td>
						<asp:TextBox ID="TextZipCode" runat="server" Text='<%# Eval("ZipPostalCode") %>'></asp:TextBox>
					</td>
				</tr>
				<tr>
					<td class="accountmanagelables">
						<%= GetLocalResourceString("AddressManage.AddressDetailLable") %>:
					</td>
					<td>
						<asp:TextBox ID="TextAddressDetail" runat="server" Text='<%# Eval("Address1") %>' TextMode="MultiLine" Rows="4" Width="180"></asp:TextBox>
						<asp:RequiredFieldValidator ID="RequiredFieldValidator6" ControlToValidate="TextAddressDetail" runat="server" ErrorMessage="RequiredFieldValidator" ValidationGroup="UpdateAddress"></asp:RequiredFieldValidator>
					</td>
				</tr>
				<tr>
					<td colspan="2" style="padding-bottom:1px; padding-top:1px;">
						<asp:Button ID="ButtonSaveAddress" runat="server" CommandName="UpdateAddress" CausesValidation="true" ValidationGroup="UpdateAddress" CommandArgument='<%# Eval("AddressId") %>'
							CssClass="button" />
						<asp:Button ID="ButtonDeleteAddress" runat="server" CommandName="DeleteAddress" CommandArgument='<%# Eval("AddressId") %>' CssClass="button" />
					</td>
				</tr>
			</table>
		</ItemTemplate>
	</asp:Repeater>
	<div id="emptyaddresscontainer" runat="server" style="display: none;">
	</div>
	<div id="createaddressbuttoncontainer">
		<asp:LinkButton ID="LinkButtonCreateNewAddress" runat="server">
		</asp:LinkButton>
	</div>
	<ajaxToolkit:ToolkitScriptManager runat="Server" ID="ScriptManager1" />
	<asp:Panel ID="PanelAddressFormContainer" runat="server" CssClass="modalPopup">
		<table>
			<tr>
				<td class="accountmanagelables">
					<%= GetLocalResourceString("AddressManage.AddresseeLable") %>
				</td>
				<td>
					<%= GetLocalResourceString("AddressManage.FirstNameLable") %>:
					<asp:TextBox ID="TextFirstName_Create" runat="server" MaxLength="20"></asp:TextBox>&nbsp;
					<asp:RequiredFieldValidator ID="RequiredFieldValidator1" ControlToValidate="TextFirstName_Create" runat="server" ErrorMessage="*" ValidationGroup="CreateAddress"></asp:RequiredFieldValidator>
				</td>
			</tr>
			<tr>
				<td class="accountmanagelables">
				</td>
				<td>
					<%= GetLocalResourceString("AddressManage.LastNameLable") %>:
					<asp:TextBox ID="TextLastName_Create" runat="server" MaxLength="20"></asp:TextBox>
					<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="*" ControlToValidate="TextLastName_Create" ValidationGroup="CreateAddress"></asp:RequiredFieldValidator>
				</td>
			</tr>
			<tr>
				<td class="accountmanagelables">
					<%= GetLocalResourceString("AddressManage.CitySelectorLable") %>:
				</td>
				<td>
					<ucCountryProvinceCitySelector:CountryProvinceCitySelector ID="CountryProvCitySel_Create" runat="server" />
				</td>
			</tr>
			<tr>
				<td class="accountmanagelables">
					<%= GetLocalResourceString("AddressManage.PhoneNumberLable") %>:
				</td>
				<td>
					<asp:TextBox ID="TextPhoneNumber_Create" runat="server"></asp:TextBox>
				</td>
			</tr>
			<tr>
				<td class="accountmanagelables">
					<%= GetLocalResourceString("AddressManage.MobileNumberLable") %>:
				</td>
				<td>
					<asp:TextBox ID="TextMobileNumber_Create" runat="server"></asp:TextBox>
				</td>
			</tr>
			<tr>
				<td class="accountmanagelables">
					<%= GetLocalResourceString("AddressManage.ZipCodeLable") %>:
				</td>
				<td>
					<asp:TextBox ID="TextZipCode_Create" runat="server"></asp:TextBox>
				</td>
			</tr>
			<tr>
				<td class="accountmanagelables">
					<%= GetLocalResourceString("AddressManage.AddressDetailLable") %>:
				</td>
				<td>
					<asp:TextBox ID="TextAddressDetail_Create" runat="server" TextMode="MultiLine" Width="180" Rows="4"></asp:TextBox>
					<asp:RequiredFieldValidator ID="RequiredFieldValidator5" ControlToValidate="TextAddressDetail_Create" ValidationGroup="CreateAddress" runat="server" ErrorMessage="RequiredFieldValidator"></asp:RequiredFieldValidator>
				</td>
			</tr>
			<tr>
				<td colspan="2">
					<asp:Button ID="ButtonSaveAddress_Create" runat="server" CssClass="button" OnClick="ButtonSaveAddress_Create_Click" CausesValidation="true"
						ValidationGroup="CreateAddress" />
					<asp:Button ID="ButtonCancel_Create" runat="server" CssClass="button" />
				</td>
			</tr>
		</table>
	</asp:Panel>
	<ajaxToolkit:ModalPopupExtender ID="ModalPopupCreateAddress" runat="server" PopupControlID="PanelAddressFormContainer" TargetControlID="LinkButtonCreateNewAddress"
		BackgroundCssClass="modalBackground" CancelControlID="ButtonCancel_Create">
	</ajaxToolkit:ModalPopupExtender>
</div>
