﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderList.ascx.cs" Inherits="ECommerce.Controls.OrderList" %>
<asp:ListView ID="ListViewOrders" runat="server" OnPreRender="ListViewOrders_PreRender" OnItemDataBound="ListViewOrders_ItemDataBound">
	<LayoutTemplate>
		<table id="orders" cellpadding="0" cellspacing="0">
			<tr class="orderlist_header">
				<th style="width: 40%;">
					<asp:Literal ID="LiteralCol1" runat="server"></asp:Literal>
				</th>
				<th style="width: 12%;">
					<asp:Literal ID="LiteralCol2" runat="server"></asp:Literal>
				</th>
				<th style="width: 15%;">
					<asp:Literal ID="LiteralCol3" runat="server"></asp:Literal>
				</th>
				<th style="width: 15%;">
					<asp:Literal ID="LiteralCol4" runat="server"></asp:Literal>
				</th>
				<th style="width: 18%;">
					<asp:Literal ID="LiteralCol5" runat="server"></asp:Literal>
				</th>
			</tr>
			<tr id="itemPlaceholder" runat="server" />
		</table>
	</LayoutTemplate>
	<ItemTemplate>
		<tr runat="server">
			<td colspan="5">
				<div class="orderitem_header">
					<%#GetLocalResourceString("MyAccount.OrderList.OrderNumber.LabelText") %>:
					<%#Eval("OrderNumber") %>&nbsp;
					<%#GetLocalResourceString("MyAccount.OrderList.PaidDate.LabelText")%>
					<%#Eval("PaidDate")%>&nbsp;
					<a href='OrderDetail.aspx?orderid=<%#Eval("OrderID") %>' target="_blank">
						<%=GetLocalResourceString("MyAccount.OrderList.OrderDetail.LinkText") %>
					</a>
				</div>
			</td>
		</tr>
		<tr runat="server">
			<td class="orderlist_item_cell">
				<asp:HiddenField ID="HiddenOrderID" runat="server" Value='<%#Eval("OrderID") %>' />
				<asp:ListView ID="ListViewProducts" runat="server">
					<LayoutTemplate>
						<table id="products" cellpadding="0">
							<tr runat="server" id="itemPlaceholder" />
						</table>
					</LayoutTemplate>
					<ItemTemplate>
						<tr runat="server" id="row">
							<td>
								<div class="floatleft picturebox productimgcontainer">
									<a href='../../ProductDetail.aspx?productid=<%#Eval("ProductID") %>' title='<%#Eval("ProductName") %>'>
										<img id="imgProd" src='../../PictureHandler.ashx?productid=<%#Eval("ProductID") %>&picturesize=70' />
									</a>
								</div>
								<div class="floatleft" style="margin-left: 5px; width:180px;">
									<div style="margin-top: 5px; text-align:left;">
										<a href='../../ProductDetail.aspx?productid=<%#Eval("ProductID") %>' title='<%#Eval("ProductName") %>'>
											<%#Eval("ProductName").ToString().Length > 15 ? Eval("ProductName").ToString().Substring(0, 15) + "..." : Eval("ProductName").ToString()%>
										</a>
									</div>
									<div style="margin-top: 20px; text-align: right; margin-right: 5px;">
										<%#Eval("ListPrice", "{0:c2}")%>&nbsp;<%#Eval("Quantity") %>
									</div>
								</div>
							</td>
						</tr>
					</ItemTemplate>
				</asp:ListView>
			</td>
			<td class="orderlist_item_cell">
				<%#Eval("PaymentMethodName") %>
			</td>
			<td class="orderlist_item_cell">
				<%#GetLocalResourceString(Eval("OrderStatusName").ToString()) %>
			</td>
			<td class="orderlist_item_cell">
				<%#Eval("OrderTotal", "{0:c2}")%>
			</td>
			<td class="orderlist_item_cell">
				<%#Eval("ShippingCountry") %><%#Eval("ShippingStateProvince") %><%#Eval("ShippingCity") %>
				<%#Eval("ShippingAddress1") %>
			</td>
		</tr>
	</ItemTemplate>
</asp:ListView>
